<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
header("Content-type: application/json");
if(isset($_POST['ikdata'])){
	if (!isset($_SESSION)) session_start();
	$db=pDatabase::getInstance();
	$datafungsi=[
		"datacari01"=>"datacari01",
		"getTabel"=>"getTabel",
		"inputalbumgallery"=>"inputalbumgallery",
		"editalbumgallery"=>"editalbumgallery",
		"hapusData"=>"hapusData",
		"setStatus"=>"setStatus"
	];
	
	if(!$db->ceckmodule($cl)) exit;
	$data=$_POST['ikdata'];
	$ex=false;
	if(isset($datafungsi[$data[0]])) $ex=$datafungsi[$data[0]]($data);
	echo $ex;
}else{
	echo false;
}

function gethalaman($qr,$dt,$jumlah){
	$db=pDatabase::getInstance();
	
	$rs=$db->loadAssoc($qr,$dt);
	
	$total=1;
	if(isset($rs['total'])){
		$total=ceil($rs['total']/$jumlah);
	}
	if($total==0){
		return 1;
	}else{
		return $total;
	}
}

function datacari01($data=array())
{
	$mode=0;
	$kunci=array("nama","keterangan","kategori");
	$alias=array("Nama","Keterangan","Katgeori");
	$kolom=array("t1.nama","t1.keterangan","t3.nama");
	$jenis=array();
	
	$hasil=array("kunci"=>$kunci,"kolom"=>$kolom,"alias"=>$alias,"jenis"=>$jenis);
	if(sizeof($data)>0){
		$mode=$data[1];
	}
	if($mode==0){
		return $hasil;
	}else{
		return json_encode($hasil);
	}
}

function getTabel($data){
	$db=pDatabase::getInstance();
	$cari=$data[3];
	$arrcr=explode("&", $cari);
	
	$datapush=array();
	$wh="";
	if(sizeof($arrcr)>0){
		$arrkunci0=explode("=", $arrcr[0]);
		if(sizeof($arrcr)==1 && sizeof($arrkunci0)==1){
			$cr="%$cari%";
			$wh.="AND t1.nama LIKE ? ";
			array_push($datapush,$cr);
		}else{
			$datacari=$db->datacari(datacari01(),$arrcr);
			$datapush=$datacari['datapush'];
			$wh=$datacari['query'];
		}
	}
	
	$qt="SELECT COUNT(distinct t1.id) as total FROM tb_album as t1
		inner join tb_dokumen as t2 on t1.idgambar=t2.id
		inner join tb_album_kategori as t3 on t1.idkategori=t3.id
		WHERE t1.id>0 ".$wh;
		
	$total=gethalaman($qt,$datapush,$data[2]);
	array_push($datapush,$data[1],$data[2]);
	
	$query="select t1.`id`,
				t1.`tanggal`,
				t1.`idkategori`,
				t1.`nama`,
				t1.`keterangan`,
				t1.`idgambar`,
				t1.`status`,
				t2.folder,
				t2.nama_baru,
				if(t3.nama is null,'',t3.nama) as kategori,
				$total as halaman 
			from tb_album as t1
		inner join tb_dokumen as t2 on t1.idgambar=t2.id
		inner join tb_album_kategori as t3 on t1.idkategori=t3.id
		where t1.id>0 ".$wh."order by t1.tanggal desc LIMIT ?,?";
	$rs=$db->jsonData($query,$datapush);
	return $rs;
}

function inputalbumgallery($data){
	$db=pDatabase::getInstance();
	$datain=[
		"idkategori"=>$data['idkategori'],
		"nama"=>$data['nama'],
		"keterangan"=>$data['keterangan'],
		"idgambar"=>$data['idgambar']
	];
	
	$rs=$db->insert("tb_album",$datain);
	return $rs;
}
function editalbumgallery($data){
	$db=pDatabase::getInstance();
	
	$datain=[
		"idkategori"=>$data['idkategori'],
		"nama"=>$data['nama'],
		"keterangan"=>$data['keterangan'],
		"idgambar"=>$data['idgambar']
	];
	
	$rs=$db->update("tb_album",$datain,"id",$data['id']);
	return $rs;
}

function setStatus($data){
	$db=pDatabase::getInstance();
	$datain=[
		"status"=>$data['status']
	];
	
	$rs=$db->update("tb_album",$datain,"id",$data['id']);
	return $rs;
}
function hapusData($data){
	$db=pDatabase::getInstance();
	
	$query="select * from tb_album where id=? ";
	$rsgal=$db->loadAssoc($query,array($data['id']));
	
	$query="DELETE FROM tb_album WHERE id=?";
	$rs=$db->query($query,array($data['id']));
	
	if($rs){
		$db->hapusdokumen($rsgal['idgambar']);
	}
	return $rs;
}
?>